# sys.h File Reference

`#include "arch/cc.h"`
`#include "arch/sys_arch.h"`

Go to the source code of this file.

## Data Structures

struct | sys_timeout
struct | sys_timeouts

## Typedefs

typedef void(* | sys_timeout_handler )(void *arg)

## Functions

void | sys_init (void)
void | sys_timeout (uInt16 msecs, sys_timeout_handler h, void *arg)
sys_timeouts * | sys_arch_timeouts (void)
sys_sem_t | sys_sem_new (uInt8 count)
void | sys_sem_signal (sys_sem_t sem)
uInt16 | sys_arch_sem_wait (sys_sem_t sem, uInt16 timeout)
void | sys_sem_free (sys_sem_t sem)
void | sys_sem_wait (sys_sem_t sem)
sys_mbox_t | sys_mbox_new (void)
void | sys_mbox_post (sys_mbox_t mbox, void *msg)
uInt16 | sys_arch_mbox_fetch (sys_mbox_t mbox, void **msg, uInt16 timeout)
void | sys_mbox_free (sys_mbox_t mbox)
void | sys_mbox_fetch (sys_mbox_t mbox, void **msg)
void | sys_thread_new (void(*thread)(void *arg), void *arg)
unsigned long | sys_now (void)

## Typedef Documentation

typedef void(* sys_timeout_handler)(void *arg)

## Function Documentation

uInt16 sys_arch_mbox_fetch | ( | sys_mbox_t | mbox,
|  | void ** | msg,
|  | uInt16 | timeout
| ) |

uInt16 sys_arch_sem_wait | ( | sys_sem_t | sem,
|  | uInt16 | timeout
| ) |

struct sys_timeouts* sys_arch_timeouts | ( | void |  | ) |

void sys_init | ( | void |  | ) |

void sys_mbox_fetch | ( | sys_mbox_t | mbox,
|  | void ** | msg
| ) |

void sys_mbox_free | ( | sys_mbox_t | mbox | ) |

sys_mbox_t sys_mbox_new | ( | void |  | ) |

void sys_mbox_post | ( | sys_mbox_t | mbox,
|  | void * | msg
| ) |

unsigned long sys_now | ( | void |  | ) |

void sys_sem_free | ( | sys_sem_t | sem | ) |

sys_sem_t sys_sem_new | ( | uInt8 | count | ) |

void sys_sem_signal | ( | sys_sem_t | sem | ) |

void sys_sem_wait | ( | sys_sem_t | sem | ) |

void sys_thread_new | ( | void(* | thread)(void *arg),
|  | void * | arg
| ) |

void sys_timeout | ( | uInt16 | msecs,
|  | sys_timeout_handler | h,
|  | void * | arg
| ) |